Advanced search  

News:

cpg1.5.46 Security release - upgrade mandatory!
The Coppermine development team is releasing a security update for Coppermine in order to counter recently discovered vulnerabilities. It is important that all users who run version cpg1.5.44 or older update to this latest version as soon as possible.
[more]

Pages: [1]   Go Down

Author Topic: HTTP ERROR 500 after upgrade to cpg1.6.x using cpg_installer_stub.php  (Read 227 times)

0 Members and 1 Guest are viewing this topic.

Anturaju93

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 21

Hi.
I have downloaded cpg_installer_stub.php and uploaded to my site. I followed the steps and all was okay but now my gallery does not work, I get 500 error. Any help ? Using PHP 7.0 .
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 1017
Re: HTTP ERROR 500 after upgrade to cpg1.6.x using cpg_installer_stub.php
« Reply #1 on: December 01, 2018, 12:59:17 pm »

It is likely being caused by a plugin our your theme. Rename the plugin folders (myplugin => sv_myplugin). Use a different theme (<mysite>/index.php?theme=curve).
Logged

Anturaju93

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 21
Re: HTTP ERROR 500 after upgrade to cpg1.6.x using cpg_installer_stub.php
« Reply #2 on: December 01, 2018, 02:59:42 pm »

Thanks for the replay. Renaming plugins folder works, now how to identify what plugin causes the problem ? I did not installed any plugin, I have only plugins from the original cpg1.5.x installation.
Logged

ron4mac

  • Dev Team member
  • Coppermine addict
  • ****
  • Country: us
  • Offline Offline
  • Posts: 1017
Re: HTTP ERROR 500 after upgrade to cpg1.6.x using cpg_installer_stub.php
« Reply #3 on: December 01, 2018, 03:51:06 pm »

The ones that come with CPG1.6 are: sample, upload_h5a, upload_sgl, upload_swf and visiblehookpoints. Those will be okay, so you can rename them correctly. You can correctly rename others one at a time until you find the failing one(s).

If you need some of the old plugins, you can find replacements here or here.
Logged

Phill Luckhurst

  • Administrator
  • Coppermine addict
  • *****
  • Country: gb
  • Offline Offline
  • Gender: Male
  • Posts: 4577
    • Windsurf.me
Re: HTTP ERROR 500 after upgrade to cpg1.6.x using cpg_installer_stub.php
« Reply #4 on: December 01, 2018, 10:09:52 pm »

You could also look at the servers error log. When there is a 500 error on any server the message given to the web page is quite generic. There are many reasons for this including security. You can choose to display the full error instead of either a 500 error or a blank page, or you can simply look at the logs for the exact time the error occurred. Those logs will tell you what file caused the problem. From there it is usually very simple to work out what to disable. Every host keeps their logs in different locations but it is well worth taking the time to learn where these are as it stops you pulling your hair out at 3am when it hits the fan.
Logged
It is a mistake to think you can solve any major problems just with potatoes.

Anturaju93

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 21
Re: HTTP ERROR 500 after upgrade to cpg1.6.x using cpg_installer_stub.php
« Reply #5 on: December 02, 2018, 02:04:27 pm »

Got it working now  ;D it was the who's online plugin. The hosting company did not give my the 500 error logs and in cPannel I did not see any errors in the last 300 error log. Anyway its working fine now and I managed to get the modification that I had back, so I'm happy.
Thanks for your help guys.  :)
Logged
Pages: [1]   Go Up
 

Page created in 0.016 seconds with 21 queries.